summaryrefslogtreecommitdiffstats
path: root/bin/make-parent-dirs
diff options
context:
space:
mode:
Diffstat (limited to 'bin/make-parent-dirs')
-rwxr-xr-xbin/make-parent-dirs10
1 files changed, 10 insertions, 0 deletions
diff --git a/bin/make-parent-dirs b/bin/make-parent-dirs
new file mode 100755
index 00000000..f4717b24
--- /dev/null
+++ b/bin/make-parent-dirs
@@ -0,0 +1,10 @@
+#! /bin/sh
+# make-parent-dirs : lines path |> lines directory
+# List all parent directories of a path.
+set -euf
+
+set -- "$(sed -n 's|/[^/]*$||p' | grep . | sort | uniq)"
+if echo "$1" | grep -q .; then
+ echo "$1"
+ echo "$1" | make-parent-dirs
+fi